Package org.jfree.layouting.modules.output.plaintext

## Class StreamingPlaintextOutputProcessor

- java.lang.Object
- - org.jfree.layouting.output.AbstractOutputProcessor
  - - org.jfree.layouting.modules.output.plaintext.StreamingPlaintextOutputProcessor

- All Implemented Interfaces:
    `OutputProcessor`

      public class StreamingPlaintextOutputProcessor
      extends AbstractOutputProcessor

  Creation-Date: 12.11.2006, 15:20:50
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `PROCESSING_CONTENT, PROCESSING_GLOBAL_CONTENT, PROCESSING_PAGES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamingPlaintextOutputProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Renderer` | `createRenderer​(LayoutProcess layoutProcess)` |
    `OutputProcessorMetaData` | `getMetaData​()` |
    `protected void` | `processPageContent​(LogicalPageKey logicalPageKey, LogicalPageBox logicalPage)` |

    - ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `createInputFeed, createLogicalPage, createModelBuilder, createNormalizer, getConfiguration, getDocumentContext, getLogicalPage, getLogicalPageCount, getPageCursor, getProcessingState, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processDocumentMetaData, processingContentFinished, processingFinished, processingGlobalContentFinished, processingPagesFinished, setPageCursor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingPlaintextOutputProcessor

          public StreamingPlaintextOutputProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration)

  - ### Method Detail

    - #### getMetaData

          public OutputProcessorMetaData getMetaData​()

    - #### createRenderer

          public Renderer createRenderer​(LayoutProcess layoutProcess)

    - #### processPageContent

          protected void processPageContent​(LogicalPageKey logicalPageKey,
                                            LogicalPageBox logicalPage)

      Specified by:
        `processPageContent` in class `AbstractOutputProcessor`